package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysPeopleRule;

/**
 * 人员规则关联Mapper接口
 * 
 * @author dcsoft
 * @date 2023-12-22
 */
public interface SysPeopleRuleMapper 
{
    /**
     * 查询人员规则关联
     * 
     * @param id 人员规则关联主键
     * @return 人员规则关联
     */
    public SysPeopleRule selectSysPeopleRuleById(Long id);

    /**
     * 查询人员规则关联列表
     * 
     * @param sysPeopleRule 人员规则关联
     * @return 人员规则关联集合
     */
    public List<SysPeopleRule> selectSysPeopleRuleList(SysPeopleRule sysPeopleRule);

    /**
     * 新增人员规则关联
     * 
     * @param sysPeopleRule 人员规则关联
     * @return 结果
     */
    public int insertSysPeopleRule(SysPeopleRule sysPeopleRule);

    /**
     * 修改人员规则关联
     * 
     * @param sysPeopleRule 人员规则关联
     * @return 结果
     */
    public int updateSysPeopleRule(SysPeopleRule sysPeopleRule);

    /**
     * 删除人员规则关联
     * 
     * @param id 人员规则关联主键
     * @return 结果
     */
    public int deleteSysPeopleRuleById(Long id);

    /**
     * 批量删除人员规则关联
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPeopleRuleByIds(Long[] ids);
}
